2019/06/20 00:33 JST

Geeklog Japan Forums

インストール時には、プラグインをすべて無効にしてインストールしてください


状態: オフライン

Ivy

Site Admin
Admin
登録日: 01/01/04
投稿数: 5907
場所:Tokyo

新規インストール、アップグレード、移行時に、
Warning: mysqli::mysqli(): (28000/1045): Access denied for user 'username'@'localhost'

というエラーが出る場合があります。

これはコア以外のプラグインが関係しています。
コア以外のプラグインは無効にしたうえで、インストールスクリプトを実行してください。

プラグインをデータベースで直接無効にするのは、 gl_plugins を修正するだけです。
あるいは、レスキューツール(admin/install/rescue.php)を実行して、プラグインをひとつひとつ無効にしてください。

 


状態: オフライン

Ivy

Site Admin
Admin
登録日: 01/01/04
投稿数: 5907
場所:Tokyo

以下のエラーは、dataBoxプラグインによるエラーです。

An error has occurred:

(This text is only displayed to users in the group 'Root')

E_USER_ERROR(256) - An SQL error has occurred. Please see error.log for details. @ /xxxxxx/databases/mysqli.class.php line 279
Call Stack
# Function File Line
1 trigger_error /xxx/private/system/databases/mysqli.class.php 279
2 dbQuery /xxx/private/system/databases/mysqli.class.php 321
3 dbSave /xxx/private/system/lib-database.php 233
4 DB_save /xxx/htdocs/admin/plugins/databox/data.php 1528
5 fncSave /xxx/htdocs/admin/plugins/databox/data.php 2456

 

 

dataBoxプラグインは、プラグインアップデートに対応していません。

phpMyAdminで、table change historyに応じて個別にアップデートしておいたうえで、プラグインアップデートをおこなってください。
プラグインアップデートでコンフィギュレーションだけは自動的にアップデートします。 

table change history:
https://bitbucket.org/tsuchi/box/wiki/table%20change%20history


時刻はすべて JST , 現在の時刻は 12:33 AM

  • 通常
  • 注目トピック
  • ロック済
  • 新着
  • 注目トピック 新着
  • ロック済トピック 新着
  •  ゲストユーザの投稿を見る
  •  ゲストユーザ投稿可能
  •  一部のHTMLを許可
  •  バッドワードをチェック